## org.eclipse.emf.query.statements
Interface IQueryResult

All Superinterfaces:
  Collection<EObject>, IEObjectSource, Iterable<EObject>

    public interface IQueryResult

extends Collection<EObject>, IEObjectSource

A result created by executing or resuming a query statement. This result is essentially a collection with the capability of retrieving an exception if it occurred during the execution of the query statement `QueryStatement`. Also, to support queries within queries, query results are also EObject sources `IEObjectSource`.

This interface is not intended to be implemented by clients.

Method Summary
`Exception` `getException()` Retrieve the exception (if any) that occurred during the execute or resume of the query statement.

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.eclipse.emf.query.conditions.eobjects.IEObjectSource
`getEObjects`

Method Detail

### getException

    Exception getException()

  Retrieve the exception (if any) that occurred during the execute or resume of the query statement.

  Returns:
    The exception that was thrown or null if the query statement executed normally.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.